library ieee;
use ieee.std_logic_1164.all;

entity cu is
	port( clk,start: in std_logic;
	end0,end1,enop: out std_logic);
end cu;

architecture beh of cu is
type stati is (idle, letd0,letd1,esegui); 
signal s: stati;
begin
	process(clk) 
	
	begin
		if clk'event and clk='0' then
			case s is
				when idle => if start = '1' then s <= letd0;
						else s <= idle;
				        end if;
				when letd0 => s<=letd1;
				when letd1 => s<=esegui;
				when esegui => s<= idle;
				when others => s<= idle;
		   end case;
		   end if;
		end process;
		
	end0 <= '1' when s = letd0 else
		    '0';
	end1 <= '1' when s = letd1 else
		   '0';
    enop <= '1' when s = esegui else 
		'0';
end beh;

		