library ieee;
use ieee.std_logic_1164.all;

entity elabora is
	port (dato: in std_logic_vector(7 downto 0);
	       op: in std_logic_vector(1 downto 0);
		   clk, start: in std_logic;
		   ris: out std_logic_vector(7 downto 0));
end elabora;

architecture sch of elabora is
component cu is
	port( clk,start: in std_logic;
	end0,end1,enop: out std_logic);
end component;
component datapath is
	port ( dato: in std_logic_vector(7 downto 0);
	       op: in std_logic_vector(1 downto 0);
		   clk, en_d0,en_d1,en_op: in std_logic;
		   ris: out std_logic_vector(7 downto 0));
end component;
signal end0,end1,enop: std_logic; 

--for dp: datapath use   entity datapath(beh2);  
	
begin
	cu0: cu port map(clk,start,end0,end1,enop);
	dp: datapath port map(dato,op,clk, end0,end1,enop, ris);
end sch;
