library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;
use std.textio.all;
use ieee.std_logic_textio.all;

entity tb_alu_file is
end tb_alu_file;

architecture tbbaluf of tb_alu_file is
component alu is 
	port ( a,b: in integer;
	op: in integer range 0 to 3;
	clk,en: in std_logic;
	R: out integer );
end component;

signal a,b,r: integer;
signal op: integer range 0 to 3;
signal clk,en: std_logic;

begin
	dut: alu port map (a,b,op,clk,en,r);
	
process
begin
	clk <= '0';
	wait for 5 ns;
	clk <= '1';
	wait for 5 ns;
end process;

op <= 0;
process
begin
	en <= '1';
	wait for 10 ns;
	en <= '0';
	wait for 20 ns;
end process;

process
 --type fileinteger is file of integer;
    FILE  filedati: TEXT;
	variable tline: LINE;
  variable ta,tb: std_logic_vector(3 downto 0);
  --variable ta,tb: integer;
  begin

	FILE_OPEN(filedati,"dati.txt",READ_MODE);
  while not endfile(filedati) loop 
   readline(filedati,tline);
   read(tline,ta);
   write(tline,ta);
   writeline(output,tline);
   
   readline(filedati,tline);
   read(tline,tb); 
   write(tline,tb);
   writeline(output,tline); 
   wait until clk'event and clk='0';
   a<= conv_integer(ta); 
   b<= conv_integer(tb);
  end loop;
  file_close(filedati);
  end process;
  

  
  
end tbbaluf;

