library ieee;
use ieee.std_logic_1164.all;
--use ieee.std_logic_signed.all;
use work.miopack.all;


entity datapath is
	port ( dato: in std_logic_vector(7 downto 0);
	       op: in std_logic_vector(1 downto 0);
		   clk, en_d0,en_d1,en_op: in std_logic;
		   ris: out std_logic_vector(7 downto 0));
end datapath;

architecture beh2 of datapath is

signal d0,d1: std_logic_vector(7 downto 0);
signal oper: std_logic_vector( 1 downto 0);

begin
	process(clk)
	 variable  tmp:  std_logic_vector(7 downto 0);
	begin
		if clk'event and clk='0' then
			if en_d0= '1' then  d0<= dato;
				                oper <= op;
			end if;
			if en_d1 = '1' then d1 <= dato;
			end if;
			if en_op = '1' then
				alu(d0,d1,oper,ris);
			 	
		 end if;
	 end if;
	end process;
end beh2;

			
