library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;

package miopack is
	procedure alu ( d0: in std_logic_vector; d1: in std_logic_vector;op: in std_logic_vector(1 downto 0); signal ris: out std_logic_vector);
end miopack;

package body miopack is
	procedure alu ( d0: in std_logic_vector; d1: in std_logic_vector; op: in std_logic_vector(1 downto 0); signal ris: out std_logic_vector) is
	
	begin
		case op is
					when "00" => --add
					             ris<= d0+d1;
					when "01" => -- sub
								ris<= d0-d1;
				when "10" => --and
				ris<= d0 and d1;
				when "11" => -- or;
				ris<= d0 or d1;
				when others => null;
		end case;  
		
	end procedure;
	end miopack;