library ieee;
use ieee.std_logic_1164.all;

entity alu is 
	port ( a,b: in integer;
	op: in integer range 0 to 3;
	clk,en: in std_logic;
	R: out integer );
end alu;

architecture beh of alu is
begin
	process(clk)
	begin
	 if clk='0' and clk'event and en='1' then
		 case op is
			 when 0 =>  -- somma
			    R<= a+b;
			 when 1 =>  -- differenza
			    R<= a-b;
			 when 2 =>  -- prodotto
			    R<= a*b;
			 when others => --divisione
			   if b=0 then R<=-1;
			   else R<= a/b;
			   end if;
			 end case;
		end if;	 
	end process;
end beh;
			    